#include <avr/io.h>
#include <avr/interrupt.h>
#include <avr/sleep.h> 

int main(void) {
	DDRB = _BV(DDB0);
	// CTC, preskaler 1024
	TCCR1B = _BV(WGM12) | _BV(CS12) | _BV(CS10);
	OCR1A = 15624;
	// przerwanie Output Compare
	TIMSK = _BV(OCIE1A);
	// globalne wczenie przerwa
	sei();
	set_sleep_mode(SLEEP_MODE_IDLE);
	sleep_enable();
	while (1) {
		sleep_cpu();
	}
}

ISR(TIMER1_COMPA_vect) {
	PORTB ^= _BV(PB0);
}